Bug 607705 - Allow specification of path to configure script
Summary: Allow specification of path to configure script
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
(Show other bugs)
Version: 12
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Patch
Depends On: 489942 849168
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 15:43 UTC by Nils Philippsen
Modified: 2012-08-17 14:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 489942
: 652084 (view as bug list)
Environment:
Last Closed: 2010-11-03 15:03:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch: upstream commit that implements the fix (1.13 KB, patch)
2010-06-24 15:43 UTC, Nils Philippsen
no flags Details | Diff

Description Nils Philippsen 2010-06-24 15:43:06 UTC
Created attachment 426623 [details]
Patch: upstream commit that implements the fix

Cloning this bug for F-12 because I need the fix on the builders for doing proper off-root builds (I need to build the xsane binary in two versions, one with support for GIMP (as a plugin) and one without (as a standalone application)).

+++ This bug was initially created as a clone of Bug #489942 +++

Description of problem:

This would allow out of tree builds:

rpm/macros:
%configure \
  %{_configure} ...

/var/lib/rpm/macros already defines _configure to ./configure.

Would then allow:

%define _configure ../configure
cd build
%configure --enable-other-stuff

in spec files

Version-Release number of selected component (if applicable):
redhat-rpm-config-9.0.3-8.fc11.noarch

--- Additional comment from awilliam@redhat.com on 2009-03-12 13:32:14 EDT ---

This bug has been triaged. And I endorse this product and/or service!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

--- Additional comment from rjones@redhat.com on 2009-03-12 13:37:19 EDT ---

(As mentioned on the mailing list)

We recently changed the %{_mingw32_configure} macro so that it
automatically looks for ./configure and ../configure in that order.

It now looks like this:

%_mingw32_configure %{_mingw32_env} ; \
  __mingw32_topdir=.; if ! test -x configure; then __mingw32_topdir=..; fi; \\\
  $__mingw32_topdir/configure --cache-file=%{_mingw32_cache} \\\
  [etc]

http://cvs.fedoraproject.org/viewvc/devel/mingw32-filesystem/macros.mingw32?revision=1.2&view=markup

--- Additional comment from awilliam@redhat.com on 2009-03-12 13:52:48 EDT ---

An open-ended definition is better, there are cases where it's stuck in a subdirectory or something. Coders do the funniest things.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

--- Additional comment from fedora-triage-list@redhat.com on 2009-11-18 06:20:18 EST ---


This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from orion@cora.nwra.com on 2009-11-18 10:32:55 EST ---

Any more thoughts?  Seems simple...

--- Additional comment from pmatilai@redhat.com on 2009-11-19 05:16:03 EST ---

One possibility would be removing %configure override from redhat-rpm-config...

--- Additional comment from orion@cora.nwra.com on 2009-11-19 10:38:54 EST ---

Here is the current differences:

-  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
-  %{_configure} --host=%{_host} --build=%{_build} \\\
+  FFLAGS="${FFLAGS:-%optflags -I%_fmoddir}" ; export FFLAGS ; \
+  ./configure --build=%{_build} --host=%{_host} 

So we are also overriding FFLAGS as well.  If no one object, I'm going to add %{_configure} to redhat-rpm-config's definition.

--- Additional comment from orion@cora.nwra.com on 2009-11-23 18:17:54 EST ---

Fixed in 9.0.3-19.fc13

Comment 1 Bug Zapper 2010-11-03 12:54:26 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.